package com.bootdo.data.domain;

import java.io.Serializable;
import java.util.Date;



/**
 * 
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-03-01 17:56:11
 */
public class DataApprovalDO implements Serializable {
	private static final long serialVersionUID = 1L;
	//
	private Long id;
	//备案ID
	private Long applyId;
	//审批人
	private String approvalUser;
	//审批人ID
	private String approvalUserid;
	//审批时间
	private Date approvalTime;
	//审批状态 0:通过 1:驳回
	private String approvalStatus;
	//审批描述
	private String approvalDesc;
	//修改时间
	private Date updateTime;
	//状态 0:正常 1:删除
	private String status;

	/**
	 * 设置：
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Long getId() {
		return id;
	}

	public Long getApplyId() {
		return applyId;
	}

	public void setApplyId(Long applyId) {
		this.applyId = applyId;
	}

	/**
	 * 设置：审批人
	 */
	public void setApprovalUser(String approvalUser) {
		this.approvalUser = approvalUser;
	}
	/**
	 * 获取：审批人
	 */
	public String getApprovalUser() {
		return approvalUser;
	}
	/**
	 * 设置：审批人ID
	 */
	public void setApprovalUserid(String approvalUserid) {
		this.approvalUserid = approvalUserid;
	}
	/**
	 * 获取：审批人ID
	 */
	public String getApprovalUserid() {
		return approvalUserid;
	}
	/**
	 * 设置：审批时间
	 */
	public void setApprovalTime(Date approvalTime) {
		this.approvalTime = approvalTime;
	}
	/**
	 * 获取：审批时间
	 */
	public Date getApprovalTime() {
		return approvalTime;
	}
	/**
	 * 设置：审批描述
	 */
	public void setApprovalDesc(String approvalDesc) {
		this.approvalDesc = approvalDesc;
	}
	/**
	 * 获取：审批描述
	 */
	public String getApprovalDesc() {
		return approvalDesc;
	}
	/**
	 * 设置：修改时间
	 */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	/**
	 * 获取：修改时间
	 */
	public Date getUpdateTime() {
		return updateTime;
	}
	/**
	 * 设置：状态 0:正常 1:删除
	 */
	public void setStatus(String status) {
		this.status = status;
	}
	/**
	 * 获取：状态 0:正常 1:删除
	 */
	public String getStatus() {
		return status;
	}

	public String getApprovalStatus() {
		return approvalStatus;
	}

	public void setApprovalStatus(String approvalStatus) {
		this.approvalStatus = approvalStatus;
	}

	@Override
	public String toString() {
		return "DataApprovalDO{" + "id=" + id + ", applyId=" + applyId + ", approvalUser='" + approvalUser + '\'' + ", approvalUserid='" + approvalUserid + '\'' + ", approvalTime=" + approvalTime + ", approvalStatus='" + approvalStatus + '\'' + ", approvalDesc='" + approvalDesc + '\'' + ", updateTime=" + updateTime + ", status='" + status + '\'' + '}';
	}
}
